| Home | Libraries | People | FAQ | More

## Struct hash<unsigned long>

boost::hash<unsigned long>

## Synopsis

    // In header: <boost/functional/hash.hpp>

    struct hash<unsigned long> {
      std::size_t operator()(unsigned long) const;
    };

## Description

    std::size_t operator()(unsigned long val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result. hash_value(val) in Boost.
Throws: | Doesn't throw